Requirements for CA Datacom CICS Services

Review the following requirements prior to installing dcs:
cadts151
Review the following requirements prior to installing
CA Datacom CICS Services
:
Hardware Requirements
  • The
    CA Datacom
    product line requires an IBM mainframe that fully supports the z/OS operating system.
  • If you are using System Managed Storage (SMS),
    do not mix
    device types in a storage class that
    CA Datacom
    uses.
Software Requirements
  • This release of
    CA Datacom CICS Services
    is compatible with
    CA Datacom/DB
    Versions 14.0 and 15.0. You can run with
    CA Datacom/DB
    14.0 or 15.0 libraries with MUFs at either 14.0 or 15.0 or both in a Multi-MUF environment. If you are upgrading from
    CA Datacom/DB
    14.0 MUFs to 15.0 MUFs, you are not required to upgrade the 14.0 libraries in CICS until all MUF upgrades are complete and no fall back is required before updating CICS with the 15.0 libraries. In this process, the SID modules
    must
    match the release of the MUF. Therefore, plan how to handle bringing in appropriate level SID modules into the DHRPL as MUFs are upgraded.
  • If you are running with
    CA Datacom/DB
    14.0, the following DB PTFs must be applied: RO60055, RO59664, RO56734, RO56818, and RO46364. Review RI67375, section 2 for the list of required PTFs to be applied to your
    CA Datacom/DB
    Version 14.0 environments to support Version 15.0 MUFs. We recommend that you apply all published
    CA Datacom/DB
    15.0 PTFs.
  • Read RI67398 before installing Version 15.0. This informational solution contains the latest information regarding the
    CA Datacom CICS Services
    z/OS installation materials such as:
    • z/OS new install/upgrade
    • z/OS maintenance
    • New functions, features, or facilities
    • Required special action
    • Related z/OS product support for
      CA Datacom CICS Services
      15.0
    • z/OS documentation updates
  • The default MUF or first MUF in a Multi-MUF environment, is the only MUF that supports SQL. For the default MUF, or first MUF in a Multi-MUF environment, SID and custom libraries should be concatenated ahead of the other
    CA Datacom/DB
    install libraries in the DFHRPL (the load library concatenation for loading modules in CICS).
  • CA Datacom CICS Services
    requires CICS Transaction Server Release 3.2, 4.1, 4.2, 5.1, or later as supported by IBM.
  • The IBM SMP/E Release 1.8 or later as supported by IBM must be installed on your system before you attempt to install or maintain this product.
  • This version of
    CA Datacom CICS Services
    is compatible with Version 13.9 of CA SYSVIEW. If you are assembling your DBCVTPR with SYSV=YES:
    • Include the CA SYSVIEW libraries in the STEPLIB of the CICS
    • Include the CA SYSVIEW libraries in your CICS DFHRPL
    • Include the CA SYSVIEW definitions in your CSD
    • You must be current on CA SYSVIEW maintenance before attempting to use it with
      CA Datacom CICS Services
      15.0
  • Before you install
    CA Datacom CICS Services
    , first install all required CA Common Services for z/OS with all current maintenance applied.
    All CA products require CA License Management Program (CA LMP), part of CA Common Services for z/OS.
    For more information, see Introduction to the CA Common Services for z/OS.
The following CA Common Services are used with your product:
  • CAIRIM
  • CA LMP
If other
products are installed at your site, some of these services are already installed.
DASD Requirements
The following tables indicate the estimated blocks of DASD space that
CA Datacom CICS Services
requires. Each data set, library, or database name is preceded by its high-level qualifier (such as CAI.HLQ or CAI.THLQ).
Headings
The column heading Volume on the following charts refers to the VOLSER from the installation worksheet. The heading TRKS refers to the number of tracks used with DASD type 3390.
SAMPJCL Library Allocation
The SAMPJCL data set contains only the JCL needed for the SMP/E installation. For more information, see Installing Your Product Using Pax ESD.
The CAB1SAMP target library contains the necessary JCL to perform DBCVTPR assemblies, install the
CA Datacom CICS Services
15.0 CSD entries, and optionally create
CA Datacom CICS Services
 data sets. After the SMP/E installation, copy the necessary jobs to the newly created INSTJCL library using the provided B1CUS00 job so they can be edited for use.
Before you submit each step, review the JCL for any DD statements that need to be added or removed to properly reflect the environment at your site.
Library Name
TRKS
SAMPJCL
11
CICS Output Files
Optionally, the following files can be defined as SYSOUT in the CSD and in the CICS.
Name
Volume
BLKSZ
LRECL
TRKS
DBOCPRT
DASD02
140
136
10
DBAUXTA
DASD02
3120
80
15
DBAUXTB
DASD02
3120
80
15
SMP/E CSI and Data Sets
These CSI and data sets are required only if you are creating a new SMP/E environment.
Name 
PDSE 
TRKS
CSI 
 
 
CSI.DATA
 
225
CSI.INDEX
 
2
SMPSCDS 
 
120
SMPMTS 
 
75
SMPPTS 
75
SMPPTS1 
X
75
SMPSTS 
 
75
SMPLTS 
X
75
SMPLOG 
 
75
SMPLOGA 
 
75
 
Distribution AAB1xxx Libraries
Name
PDSE
TRKS
AAB1MOD0
X
30
AAB1MAC
X
79
AAB1SAMP
X
26
AAB1XML
X
20
Target Libraries
Name
PDSE
TRKS
CAB1LOAD
X
42
CAB1LPA
 
10
CAB1MAC
X
79
CAB1SAMP
X
26
CAB1XML
X
20
Custom Libraries
Name
PDSE
 
BLKSZ
LRECL
TRKS
CUSMAC
X
DASD02
3120
80
11
CUSLIB
X
DASD02
6144
0
30
INSTJCL
X
DASD01
3120
80
100
Storage Requirements
Ensure that you have the following storage available:
  • If you install the product with Pax ESD,
    8.5
    cylinders for the downloaded files
  • For installation and setup:
    • Installation = 80 cylinders (
      CA Datacom CICS Services
      uses 5 cylinders)
    • SMP/E temporary libraries = 15
      cylinders